Next: Introduction, Up: (dir)

## The Red Hat newlib C Library

Next: memccpy, Previous: bzero, Up: Strings

### 5.4 `index`—search for character in string

Synopsis

         #include <strings.h>
         char * index(const char *string, int c);

Description
This function finds the first occurence of c (converted to a char) in the string pointed to by string (including the terminating null character).

This function is identical to `strchr`.

Returns
Returns a pointer to the located character, or a null pointer if c does not occur in string.

Portability
`index` requires no supporting OS subroutines.